<?php

//========================================================
//  	THEME METHODS
//========================================================

/**
 * generate kimmia options css use penguin function
 */
function kimmia_generate_options_css(){
	penguin_generate_options_css('kimmia_options');
}

/**
 * get show have no menu information
 *
 * @since kimmia 1.0
 */
function kimmia_show_setting_primary_menu(){
	echo __('Please open Admin -&gt; Appearance -&gt; Menus Setting','kimmia');
}


/**
 * get Custom Font For google font	
 *
 * @since kimmia 1.0
 */
function kimmia_get_custom_font(){
	global $kimmia_options,$google_fonts,$google_load_fonts,$google_custom_fonts;
	
	$google_load_fonts = "";
	$google_custom_fonts = array();
	
 	$general_font 				= 'Lato';
	$general_font_size 			= '14px';
	$menu_font					= 'Lato';
	$menu_font_size				= '13px';
	$title_font					= 'Lato';
	
	$font_names = array();
	
	$load = false;
	
	if(penguin_get_options_key('custom-enable-font') == "on"){

		$array = explode("|",$google_fonts);
		
		if( intval(penguin_get_options_key('custom-general-font')) != 0){
			$font_name = $array[intval($kimmia_options['custom-general-font'])-1];
			$general_font = penguin_get_current_font_name($font_name);
			array_push($font_names,$font_name.':'.penguin_get_options_key('custom-general-font-weight'));
		}else{
			$load = true;
		}
			
		if( intval(penguin_get_options_key('custom-menu-font')) != 0){
			$font_name = $array[intval($kimmia_options['custom-menu-font'])-1];
			$menu_font = penguin_get_current_font_name($font_name);
			array_push($font_names,$font_name.':'.penguin_get_options_key('custom-menu-font-weight'));
		}else{
			$load = true;
		}
		
		if( intval(penguin_get_options_key('custom-title-font')) != 0){
			$font_name = $array[intval($kimmia_options['custom-title-font'])-1];
			$title_font = penguin_get_current_font_name($font_name);
			array_push($font_names,$font_name.':'.penguin_get_options_key('custom-title-font-weight'));
		}else{
			$load = true;
		}
	}else{
		$load = true;
	}
	
	if($load == true) {
		array_push($font_names,'Lato:400,300,700,300italic,400italic,700italic');
	}

	$google_custom_fonts['general_font']				= $general_font;
	$google_custom_fonts['menu_font']					= $menu_font;
	$google_custom_fonts['title_font']					= $title_font;
	
	$google_load_fonts = implode("|",array_unique($font_names));
	
}

/**
 * Get Page Header Links
 *
 * @since kimmia 1.0
 */
function kimmia_page_links() {
	$output = '';
	// page is not front page show first link with "home" page;
    if( !is_front_page() ) {
       $output .= '<a href="'.home_url().'" title="'.__('Home','kimmia').'">'.__('HOME','kimmia').'</a>';
    }else if(is_front_page() && !is_home()){
		return;
	}
	// page is used home page as posts
	if((is_home() || is_category() || is_tag() || is_date() || is_single()) && !is_front_page()){
		$single_type = get_post_type(get_the_ID());
		if(is_single() && $single_type == "portfolio") {
			global $portfolio_default_page_id;
			// show default portfolio page
			$portfolio_default_page_id  = kimmia_get_default_portfolio_page();
			$portfolio_page = get_page( $portfolio_default_page_id );
			$output .= '<span class="breadcrumb-right">/</span><a href="'.get_permalink($portfolio_default_page_id).'" title="'.$portfolio_page->post_title.'">'.$portfolio_page->post_title.'</a>';
		} else {
			if(intval(get_option('page_for_posts')) > 0) {
				$page = get_page( get_option('page_for_posts') );
				$output .= '<span class="breadcrumb-right">/</span><a href="'.get_permalink(get_option('page_for_posts')).'" title="'.$page->post_title.'">'.$page->post_title.'</a>';
			}
		}
	}
	// page is category
	if(is_category()){
		$cat = get_category( get_query_var( 'cat' ) );
		$output .= '<span class="breadcrumb-right">/</span>'.__('Category Archive for "','kimmia').$cat->name.'"</span>';
	}
	// show portfolio category link
	if(taxonomy_exists('portfolio_categories') && is_tax()) {
		global $kimmia_options,$term,$portfolio_default_page_id;
		// show default portfolio page
		$portfolio_default_page_id  = kimmia_get_default_portfolio_page();
		$portfolio_page = get_page( $portfolio_default_page_id );
		
		$output .= '<span class="breadcrumb-right">/</span><a href="'.get_permalink($portfolio_default_page_id).'" title="'.$portfolio_page->post_title.'">'.$portfolio_page->post_title.'</a>';
		// show category name
		$output .= '<span class="breadcrumb-right">/</span><span>'.__('Category Archive for "','kimmia').$term->name.'"</span>';
	}
	// show page title
	if(is_page() || is_single()){
		global $post;
		if ( is_page() && $post->post_parent ) {
      		$parent_id  = $post->post_parent;
      		$breadcrumbs = array();
			while ($parent_id) {
				$page = get_page($parent_id);
				$breadcrumbs[] = '<span class="breadcrumb-right">/</span><a href="' . get_permalink($page->ID) . '">' . get_the_title($page->ID) . '</a>';
				$parent_id  = $page->post_parent;
			}
			$breadcrumbs = array_reverse($breadcrumbs);
			for ($i = 0; $i < count($breadcrumbs); $i++) {
				$output .= $breadcrumbs[$i];
			}
    	} 
		$output .= '<span class="breadcrumb-right">/</span><span>'.get_the_title().'</span>';
	}
	// tag page
	if(is_tag()) {

		$output .= '<span class="breadcrumb-right">/</span><span>'.__('Posts Tagged "','kimmia').single_tag_title('', false).'"</span>';
	}
	// search page
	if(is_search()) {
		
	}
	// 404 page
	if(is_404()){
		$output .= '<span class="breadcrumb-right">/</span><span>'.__('404 Error' , 'kimmia').'</span>';
	}
	// date page
	if(is_date()){
		$output .= '<span class="breadcrumb-right">/</span><span>'.__('Date Archives for "','kimmia').get_the_time('Y-M').'"</span>';
	}
	// author page
	if(is_author()){
		global $author_name;
		$output .= '<span class="breadcrumb-right">/</span><span>'.__('Author "','kimmia').$author_name.'"</span>';
	}
	return $output;
}

/**
 * Get Page Title
 *
 * @since kimmia 1.0
 */
function kimmia_page_title(){
	$output = '';
	// category page
	if(is_category()) $output = single_cat_title('', false);
	// tag page
	if(is_tag()) $output = single_tag_title('', false);
	// search page
	if(is_search()) $output = __('Search' , 'kimmia');
	// 404 page
	if(is_404()) $output = __('Nothing Found' , 'kimmia');
	// date page
	if(is_date())  $output = get_the_time('Y-M');
	// author page
	if(is_author()) $output = __('Author' , 'kimmia');

	if(taxonomy_exists('portfolio_categories') && is_tax()) {
		global $term;
		$output = $term->name;
	}
	return $output;
}

/**
 * Get All Portfolio Type Pages
 *
 * @since kimmia 1.0
 */
function kimmia_get_all_portfolio_type_pages($re_id = false) {
	$portfolio_pages = array();
	
	$p_types = array('page-portfolio.php');
	
	foreach($p_types as $p_type){
		$args = array(
			'meta_key' => '_wp_page_template',
			'meta_value' => $p_type,
			'post_type' => 'page',
			'post_status' => 'publish',
			'sort_order' => 'ASC',
			'sort_column' => 'ID',
		); 
		$pages = get_pages($args); 
		if(!empty($pages)) {
			foreach($pages as $page){
				if($re_id){
					$portfolio_pages[] = $page->ID;
				}else {
					$portfolio_pages[$page->ID] = $page->post_title;
				}
			}
		}
	}
	
	return $portfolio_pages;
}

/**
 * Get Default Portfolio Page
 *
 * @since kimmia 1.0
 */
function kimmia_get_default_portfolio_page() {
	global $portfolio_default_page_id;
	
	$default_page_id = intval( penguin_get_options_key('portfolio-default-page') );
	
	$pages = kimmia_get_all_portfolio_type_pages(true);

	if(isset($pages[$default_page_id])) {
		$default_page_id = $pages[$default_page_id];
		$template = get_post_meta( $default_page_id , '_wp_page_template', true );
		if($template == 'page-portfolio.php' || $template == 'page-portfolio-ajax.php' ) {
			$portfolio_default_page_id = $default_page_id;
			return $portfolio_default_page_id;
		}
		
	}

	foreach($pages as $key=>$value){
		$portfolio_default_page_id = $key;
		break;
	}
	return $portfolio_default_page_id;
}

/**
 * get custom post meta list
 *
 * @since kimmia 1.0
 */
function kimmia_get_custom_post_meta($id,$type = 'post') {

	$custom = get_post_custom($id);
	$output = array();
	$check_array = array();
	switch($type){
		case "portfolio": // Portfolio
			$check_array = array('portfolio-colors','portfolio-skills','portfolio-client','portfolio-link');
			break;
	}
	foreach($check_array as $value){
		$output[$value] = isset($custom[$value])  ? $custom[$value][0] : "";
	}
	
	return $output;
}

/**
 * Get Page Custom Options CSS
 */
function kimmia_get_page_custom_options_css(){
	if(is_page() || is_single() || is_home() || is_front_page()){
		$post_id = get_the_ID();
		if(is_home() && !is_front_page() && intval(get_option('page_for_posts')) > 0){
			$post_id = get_option('page_for_posts');
		}
		$layout 					= intval(penguin_get_options_key('global-layout'));
		$page_bg_type 				= intval(get_post_meta($post_id , 'page-background-type', true));
		$page_content_bg_type 		= intval(get_post_meta($post_id , 'page-content-background-type', true));
		$page_title_bg_type 		= intval(get_post_meta($post_id , 'page-title-background-type', true));
		
		if($page_bg_type != 0 || $page_content_bg_type != 0 ||  $page_title_bg_type != 0){

		?>
        <style id="kimmia-custom-page-background-css" type="text/css">
			<?php if($layout != 0 && $page_bg_type == 1 && intval(get_post_meta($post_id , 'page-background-width', true)) != 0 && intval(get_post_meta($post_id , 'page-background-height', true)) != 0 && get_post_meta($post_id , 'page-background-pattern', true) != "") { ?>
				body {
					background-size:<?php echo get_post_meta($post_id , 'page-background-width', true);?>px <?php echo get_post_meta($post_id , 'page-background-height', true);?>px;
					background-repeat: repeat;
					background-image:url(<?php echo get_post_meta($post_id , 'page-background-pattern', true);?>);
				 }
			<?php } else if($layout != 0 && $page_bg_type == 2 && get_post_meta($post_id , 'page-background-img', true) != "") {?>
				body { 
					background: url(<?php echo get_post_meta($post_id , 'page-background-img', true); ?>) no-repeat center center fixed; 
					-webkit-background-size: cover;
					-moz-background-size: cover;
					-o-background-size: cover;
					background-size: cover;
				}
			<?php } else if($layout != 0 && $page_bg_type == 3) { ?>
				body {background:<?php echo get_post_meta($post_id , 'page-background-color', true); ?>;}
			<?php } ?>
			
			<?php if($page_content_bg_type == 1 && intval(get_post_meta($post_id , 'page-content-background-width', true)) != 0 && intval(get_post_meta($post_id , 'page-content-background-height', true)) != 0 && get_post_meta($post_id , 'page-content-background-pattern', true) != "") { ?>
				.site-content {
					background-size:<?php echo get_post_meta($post_id , 'page-content-background-width', true);?>px <?php echo get_post_meta($post_id , 'page-content-background-height', true);?>px;
					background-repeat: repeat;
					background-image:url(<?php echo get_post_meta($post_id , 'page-content-background-pattern', true);?>);
				 }
			<?php } else if($page_content_bg_type == 2 && get_post_meta($post_id , 'page-content-background-img', true) != "") {?>
				.site-content { 
					background: url(<?php echo get_post_meta($post_id , 'page-content-background-img', true); ?>) no-repeat center center fixed; 
					-webkit-background-size: cover;
					-moz-background-size: cover;
					-o-background-size: cover;
					background-size: cover;
				}
			<?php } else if($page_content_bg_type == 3) { ?>
				.site-content {background:<?php echo get_post_meta($post_id , 'page-content-background-color', true); ?>;}
			<?php } ?>
			
			<?php if($page_title_bg_type == 1 && intval(get_post_meta($post_id , 'page-title-background-width', true)) != 0 && intval(get_post_meta($post_id , 'page-title-background-height', true)) != 0 && get_post_meta($post_id , 'page-title-background-pattern', true) != "") { ?>
				.site-content-header {
					background-size:<?php echo get_post_meta($post_id , 'page-title-background-width', true);?>px <?php echo get_post_meta($post_id , 'page-title-background-height', true);?>px;
					background-repeat: repeat;
					background-image:url(<?php echo get_post_meta($post_id , 'page-title-background-pattern', true);?>);
				 }
			<?php } else if($page_title_bg_type == 2 && get_post_meta($post_id , 'page-title-background-img', true) != "") {?>
				.site-content-header { 
					background: url(<?php echo get_post_meta($post_id , 'page-title-background-img', true); ?>) repeat center center scroll; 
					-webkit-background-size: cover;
					-moz-background-size: cover;
					-o-background-size: cover;
					background-size: cover;
				}
			<?php } else if($page_title_bg_type == 3){ ?>
				.site-content-header {background:<?php echo get_post_meta($post_id , 'page-title-background-color', true); ?>;	}
			<?php } ?>
			
			<?php if($page_bg_type == 1  || $page_content_bg_type == 1 || $page_title_bg_type == 1) { ?>
			 @media only screen and (-Webkit-min-device-pixel-ratio: 1.5),
				only screen and (-moz-min-device-pixel-ratio: 1.5),
				only screen and (-o-min-device-pixel-ratio: 3/2),
				only screen and (min-device-pixel-ratio: 1.5) {
					<?php if($layout != 0 && $page_bg_type == 1 && get_post_meta($post_id , 'page-background-retina-pattern', true) != ""){ ?>
						body { background-image:url(<?php echo get_post_meta($post_id , 'page-background-retina-pattern', true);?>); }
					<?php } ?>
					<?php if($page_content_bg_type == 1 && get_post_meta($post_id , 'page-content-background-retina-pattern', true) != ""){ ?>
						.site-content { background-image:url(<?php echo get_post_meta($post_id , 'page-content-background-retina-pattern', true);?>); }
					<?php } ?>
					<?php if($page_title_bg_type == 1 && get_post_meta($post_id , 'page-title-background-retina-pattern', true) != "") { ?>
						.site-content-header { background-image:url(<?php echo get_post_meta($post_id , 'page-title-background-retina-pattern', true);?>); }
					<?php } ?>
				}
			<?php } ?>
		</style>
        <?php 
		}
	}
}

/**
 * Display navigation to next/previous pages when applicable
 *
 * @since kimmia 1.0
 */
function kimmia_content_nav( $nav_id ,$nav_class = '' ) {
	global $wp_query;
	if ( $wp_query->max_num_pages > 1 ) : ?>
        <nav id="<?php echo $nav_id; ?>"  class="posts-nav <?php echo $nav_class; ?>">
			<div class="nav-prev"><?php next_posts_link( __( '&larr; Older posts', 'kimmia' ) ); ?></div>
			<div class="nav-next"><?php previous_posts_link( __( 'Newer posts &rarr;', 'kimmia' ) ); ?>
		</nav>
	<?php endif;
}


/**
 * Display single post navigation to next/previous post when applicable
 *
 * @since kimmia 1.0
 */
function kimmia_single_content_nav( $nav_id ,$nav_class = '' ) {
?>
	<nav class="single-pagination row-fluid">
		<?php previous_post_link('%link', __('&laquo; %title', 'kimmia')); ?>
		<?php next_post_link('%link ', __('%title &raquo;', 'kimmia')); ?>
	</nav>
<?php
}

/**
 * Get comment form
 *
 * @since kimmia 1.0
 */
function kimmia_comment_form(){
	global $user_identity;
	$commenter = wp_get_current_commenter();
	$req = get_option( 'require_name_email' );
	$aria_req = ( $req ? " aria-required='true'" : '' );

	if ( comments_open() ) { ?>
		<div id="respond" class="row-fluid">
        	<div id="reply-title" class="row-fluid">
            	<h4 class="post-title"><?php comment_form_title(__('Leave A Comment', 'kimmia'), __('Leave A Comment', 'kimmia')); ?></h4>
        	</div>
            <div class="row-fluid"><?php cancel_comment_reply_link(); ?></div>
			<form id="comment-form" action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post">
        	
            <?php if ( is_user_logged_in() ) : ?>

            <p><?php _e('Logged in as', 'kimmia'); ?> <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo wp_logout_url(get_permalink()); ?>" title="Log out of this account"><?php _e('Log out &raquo;', 'kimmia'); ?></a></p>
    		<div class="row-fluid">
            	<div id="comment-textarea" class="span6">
                	<textarea placeholder="<?php _e('Comment...', 'kimmia'); ?>" name="comment" id="comment" cols="60" rows="5" tabindex="4" class="textarea-comment logged-in"></textarea>
            	</div>
            </div>
            <div id="comment-alert-error" class="alert alert-error">
                <span class="comment-alert-error-message"><?php _e('Please enter a message.', 'kimmia'); ?></span>
            </div>
            <div class="form-submit">
                <p><div class=""><input name="submit" class="btn btn-custom" type="submit" id="submit" tabindex="5" value="<?php _e('Post Comment', 'kimmia'); ?>" /></div></p>
                <?php comment_id_fields(); ?>
                <?php do_action('comment_form', get_the_ID()); ?>
            </div>
		
		<?php else : ?>
        	<div class="row-fluid">
            	<div id="comment-input" class="span6">
                	<div class="placeholding-input">
                		<input type="text" name="author" id="author" tabindex="1" <?php if ($req) echo "aria-required='true'"; ?> class="input-name" />
                        <label for="author" class="placeholder"><?php _e('Name (required)', 'kimmia'); ?></label>
                    </div>
                    <div class="placeholding-input">
                		<input type="text" name="email" id="email" tabindex="2" <?php if ($req) echo "aria-required='true'"; ?> class="input-email"  />
                        <label for="email" class="placeholder"><?php _e('Email (required)', 'kimmia'); ?></label>
                    </div>
                    <div class="placeholding-input">
                		<input type="text" name="url" id="url" tabindex="3" class="input-website" />
                        <label for="url" class="placeholder"><?php _e('Website', 'kimmia'); ?></label>
                    </div>
            	</div>
            
            	<div id="comment-textarea" class="span6">
                	<div class="placeholding-input">
                		<textarea name="comment" id="comment" cols="60" rows="5" tabindex="4" class="textarea-comment"></textarea>
                    	<label for="comment" class="comment-placeholder placeholder"><?php _e('Comment...', 'kimmia'); ?></label>
                    </div>
            	</div>
            </div>
            <div id="comment-alert-error" class="alert alert-error">
            	<span class="comment-alert-error-name"><?php _e('Please enter your name.', 'kimmia'); ?></span>
                <span class="comment-alert-error-email"><?php _e('Please enter an valid email address.', 'kimmia'); ?></span>
                <span class="comment-alert-error-message"><?php _e('Please enter a message.', 'kimmia'); ?></span>
            </div>
            <div id="comment-submit">
                <div><input name="submit" type="submit" id="submit" tabindex="5" value="<?php _e('Post Comment', 'kimmia'); ?>" class="btn btn-custom" /></div>
                <?php comment_id_fields(); ?>
                <?php do_action('comment_form', get_the_ID()); ?>
            </div>
    
            <?php endif; ?>
        </form>
    </div>
	<?php
	}
}

/**
 * Get comments list
 *
 * @since kimmia 1.0
 */
function kimmia_comment($comment, $args, $depth) {
	$GLOBALS['comment'] = $comment;
	extract($args, EXTR_SKIP);
		
	if ( 'div' == $args['style'] ) {
		//$tag = 'div';
		$add_below = 'comment';
	} else {
		//$tag = 'li';
		$add_below = 'div-comment';
	}
	?>
    
    <li id="comment-<?php comment_ID() ?>">
    	<article id="div-comment-<?php comment_ID() ?>" class="comment-item">
        	<?php if ($args['avatar_size'] != 0) echo  get_avatar( $comment, $args['avatar_size']); ?>
        	
        	<div class="comment-content">
            	<div class="comment-meta post-meta">By <?php echo comment_author_link($comment->comment_ID);?> on <?php echo get_comment_date(); ?><?php comment_reply_link(array_merge( $args, array('add_below' => $add_below, 'depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
                </div>
            	<?php comment_text(); ?>
                
				<?php if ($comment->comment_approved == '0') : ?>
                      <em class="comment-wait-approved"><?php _e('Your comment is awaiting approved.' , 'kimmia') ?></em>
            	<?php endif; ?>
            
        	</div>
    	</article>
    <?php 
}


// function to display number of posts.
function kimmia_get_post_meta_count($postID, $count_type = 0, $count_name_bool = true){
	if($count_type == 1) {
		$count_key = 'votes_count';
		$count_name = __('Likes', 'kimmia');
	}else{
		$count_key = 'post_views_count';
		$count_name = __('Views', 'kimmia');
	}

    $count = get_post_meta($postID, $count_key, true);

    if($count == ''){
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
		if(!$count_name_bool) {
			return '0';
		}
        return '0 '.$count_name;
    }
	if(!$count_name_bool) {
		return $count;
	}
    return $count.' '.$count_name;
}
 
// function to count views.
function kimmia_set_post_view($postID) {
    $count_key = 'post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        $count = 0;
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
    }else{
        $count++;
        update_post_meta($postID, $count_key, $count);
    }
}

function kimmia_posts_column_views($defaults){
    $defaults['post_views'] = __('Views','kimmia');
	$defaults['post_likes'] = __('Likes','kimmia');
    return $defaults;
}

function kimmia_posts_custom_column_views($column_name, $id){
    if($column_name === 'post_views'){
        echo kimmia_get_post_meta_count(get_the_ID());
    }else if($column_name === 'post_likes'){
        echo kimmia_get_post_meta_count(get_the_ID(), 1);
    }
}

// set add post like count
function kimmia_post_like(){
	$nonce = $_POST['nonce'];
    if ( ! wp_verify_nonce( $nonce, 'ajax-nonce' ) )
        die ( 'Busted!');
		
	if(isset($_POST['post_like'])){
		$ip = $_SERVER['REMOTE_ADDR'];
		$post_id = $_POST['post_id'];
		
		$meta_IP = get_post_meta($post_id, "voted_IP");
		if(isset($meta_IP[0]) && is_array($meta_IP[0])){
			$voted_IP = $meta_IP[0];
		}else{
			$voted_IP = array();
		}
		
		$meta_count = get_post_meta($post_id, "votes_count", true);

		if(!kimmia_post_already_vote($post_id)){
			$voted_IP[$ip] = time();
			update_post_meta($post_id, "voted_IP", $voted_IP);
			update_post_meta($post_id, "votes_count", ++$meta_count);
			
			echo $meta_count;
		}else{
			echo "already";
		}
	}
	exit;
}

// check post had vote
function kimmia_post_already_vote($post_id){
	
	$meta_IP = get_post_meta($post_id, "voted_IP");
	
	if(!isset($meta_IP[0])){
		return false;
	}
	
	$voted_IP = $meta_IP[0];
	
	if(!is_array($voted_IP)){
		$voted_IP = array();
	}

	$ip = $_SERVER['REMOTE_ADDR'];
	
	if(in_array($ip, array_keys($voted_IP))){
		return true;
	}
	return false;
}

// get post like link
function kimmia_get_post_like_link($post_id){
	if( !kimmia_post_already_vote($post_id) ){
		return '<a href="#" data-post_id="'.$post_id.'" title="'.__('I like it!', 'kimmia').'">'.__('Your Rate!', 'kimmia').'</a>';
	}
	return '';
}