<?php 
	/**
	Penguin Framework Module - Portfolio Post
	
	Copyright (c) 2012 Activetofocus

	@url http://penguin.activetofocus.com
	@package Penguin
	@version 1.0
**/


class PenguinModulePortfolioPost {
	
	public $id = "portfolio";
	
	/**
	 *  PenguinModulePortfolioPost
	 */
	function PenguinModulePortfolioPost() {
		add_action( 'init', array($this,'portfolio_register') );
	}
	
	// Register portfolio
	function portfolio_register(){
	  $labels = array(
		'name' => _x('Portfolios', 'post type general name','kimmia'),
		'singular_name' => _x('Portfolios', 'post type singular name','kimmia'),
		'add_new' => _x('Add New', 'Portfolios','kimmia'),
		'add_new_item' => __('Add New','kimmia'),
		'edit_item' => __('Edit Portfolio','kimmia'),
		'new_item' => __('New Portfolio','kimmia'),
		'all_items' => __('All Portfolios','kimmia'),
		'view_item' => __('View Portfolios','kimmia'),
		'search_items' => __('Search Portfolio','kimmia'),
		'not_found' =>  __('No portfolio found','kimmia'),
		'not_found_in_trash' => __('No portfolio found in Trash','kimmia'), 
		'parent_item_colon' => '',
		'menu_name' => 'Portfolios'
	  );
	  $args = array(
		'labels' => $labels,
		'public' => true,
		'publicly_queryable' => true,
		'show_ui' => true, 
		'show_in_menu' => true, 
		'query_var' => true,
		'rewrite' => array('slug'=>$this->id,'with_front'=>false),
		'capability_type' => 'post',
		'hierarchical' => false,
		'menu_position'	=> 6,
		'menu_icon' => get_template_directory_uri().'/'.Penguin::$FRAMEWORK_PATH.'/images/portfolio_type.png',
		'supports' => array( 'title', 'editor' , 'thumbnail' )
	  ); 
	  register_post_type($this->id,$args);
	  
		$this->register_categories();
	}
	
	//Register Portfolio categories
	function register_categories(){
		$labels = array(
			'name' => _x( 'Portfolio Categories', 'taxonomy general name' ,'kimmia'),
			'singular_name' => _x( 'Portfolio Category', 'taxonomy singular name' ,'kimmia'),
			'search_items' =>  __( 'Search Portfolio Categories' ,'kimmia'),
			'all_items' => __( 'All Portfolio Categories' ,'kimmia'),
			'parent_item' => __( 'Parent Category' ,'kimmia'),
			'parent_item_colon' => __( 'Parent Category:' ,'kimmia'),
			'edit_item' => __( 'Edit Portfolio Category' ,'kimmia'), 
			'update_item' => __( 'Update Portfolio Category' ,'kimmia'),
			'add_new_item' => __( 'Add Portfolio Category' ,'kimmia'),
			'new_item_name' => __( 'New Portfolio Category' ,'kimmia'),
			'menu_name' => __( 'Portfolio Categories' ,'kimmia')
		  ); 
		
		register_taxonomy($this->id.'_categories',array($this->id), array(
			'hierarchical' => true,
			'labels' => $labels,
			'label_sing'		=> __( 'Portfolio Category','kimmia'),
			'public'			=> true,
			'show_in_nav_menus'	=> true,
		 ));

	}
	
}
?>