<?php

/**
 * Add shortcode button
 */
function kimmia_addbuttons() {
   // Don't bother doing this stuff if the current user lacks permissions
   if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') )
     return;
   // Add only in Rich Editor mode
   if ( get_user_option('rich_editing') == 'true') {
     add_filter("mce_external_plugins", "add_kimmia_tinymce_plugin");
     add_filter('mce_buttons', 'register_kimmia_button');
   }
}
 
function register_kimmia_button($buttons) {
   array_push($buttons, "separator", "kimmia");
   return $buttons;
}
 
// Load the TinyMCE plugin : editor_plugin.js (wp2.5)
function add_kimmia_tinymce_plugin($plugin_array) {
   $plugin_array['kimmia'] = get_template_directory_uri().'/js/shortcode.button.js';
   return $plugin_array;
}
 
// init process for button control
add_action('init', 'kimmia_addbuttons');

//=============================
// Title
//=============================
function kimmia_title_func($atts, $content = null){
	extract( shortcode_atts( array(
		  'class'		=>	'',
		  'type'		=>	'text',
		  'icon'		=>	'',
		  'value'		=>	'',
		  'size' 		=>	'h3',
		  'icon_size' 	=>	'',
		  'uppercase'	=>	'no',
		  'bold'		=>	'yes', 
		  'style'		=>	'',
		  'show_bg'		=>	'yes',
		  'line' 		=>	'yes',
		  'align'		=>	'left',
		  'line_align'	=>	'center',
		  'color'		=>	'',
		  'bg_color'	=>	'',
		  'line_color'	=>	'',
		  'extra_color'		=>	'',
		  ), $atts ) );
		
		$content =  '';
		$extra_content =  '';
		if($color != ""){
			$color = 'color:'.$color.';';
		}
		if($bg_color != ""){
			$bg_color = 'style="background:'.$bg_color.'"';
		}
		
		if($line_color != ""){
			$line_color = 'style="background:'.$line_color.'"';
		}
		if($extra_color != ""){
			$extra_color = 'style="color:'.$extra_color.'"';
		}
		if($type == "text"){
			$content =  '<'.$size.' class="'.($uppercase == "yes" ? 'uppercase ' : '').($bold == "yes" ? 'bold ' : '').'" style="'.$color.$style.'">'.$value.'</'.$size.'>';
		}else{
			if($size == "h3") {
				$size = "";
			}
			$content =  '<i class="'.$icon.'" style="'.$color.$style.'"></i>';
			if($value != "") {
				$extra_content = '<span class="new-title-extra '.$icon_size.($uppercase == "yes" ? ' uppercase' : '').($bold == "yes" ? ' bold' : '').'" '.$extra_color.'>'.$value.'</span>';
			}
		}

		return '<div class="kimmia-title row-fluid '.$class.' '.$align.' line-'.$line_align.'">'.($line == "yes" ? '<div class="new-line" '.$line_color.'></div>' : '').'<div class="new-title-container '.($show_bg == "yes" ? 'show-bg' : '').' '.($type != "text" ? 'icon '.$icon_size : '').'" '.($show_bg == "yes" ? $bg_color : '').'>'.$content.'</div>'.$extra_content.'</div>';
}
add_shortcode('title', 'kimmia_title_func');

//=============================
// Icons
//=============================
function kimmia_icon_func($atts, $content = null){
	extract( shortcode_atts( array(
		  'icon_name' => '',
		  'icon_size' => '',
		  'icon_style' => '',
		  'icon_color' => ''
		  ), $atts ) );
	if($icon_name == '') return "";
	return '<i class="'.$icon_name.' '.$icon_size.' '.$icon_style.'" '.($icon_color != '' ? ' style="color:'.$icon_color.'"' :'').'></i>';
}
add_shortcode('icon', 'kimmia_icon_func');

//=============================
// Social
//=============================
function kimmia_social_func($atts, $content = null){
	global $kimmia_icon_items, $kimmia_icon_default_color, $kimmia_icon_default_params;
	$kimmia_icon_items = array();
	extract( shortcode_atts( array(
			'bg_color' => '',
			'tooltip' => 'no',
			'tooltip_placement' => 'top'
		  ), $atts ) );
	
	$kimmia_icon_default_color = $bg_color;
	$kimmia_icon_default_params = array('tooltip' => $tooltip, 'placement' => $tooltip_placement);
	
	$output = '<ul class="inline kimmia-social">';
	do_shortcode($content);
	
	if(count($kimmia_icon_items) > 0) {
		foreach($kimmia_icon_items as $kimmia_icon_item) {
			$output .= '<li>'.$kimmia_icon_item.'</li>';
		}
	}
	
	$output .= '</ul>';
	
	return $output;
}

add_shortcode('social', 'kimmia_social_func');

function kimmia_social_item_func($atts, $content = null){
	global $kimmia_icon_items, $kimmia_icon_default_color, $kimmia_icon_default_params;
	
	extract( shortcode_atts( array(
			'type' => 'twitter',
			'link' => '#',
			'target' => '_blank',
			'title' => ''
		  ), $atts ) );
	
	if($kimmia_icon_default_params['tooltip'] == "yes" && $title == ""){
		$title = $type;
	}
	
	$kimmia_icon_items[] = '<a '.($kimmia_icon_default_color != "" ? 'style="background-color:'.$kimmia_icon_default_color.'"' : '').' href="'.$link.'" target="'.$target.'" '.($kimmia_icon_default_params['tooltip'] == "yes" ? 'title="'.$title.'" data-placement="'.$kimmia_icon_default_params['placement'].'"' : '').' class="penguin-icon-'.$type.' '.($kimmia_icon_default_params['tooltip'] == "yes" ? "show-tooltip" : "").'"></a>';
	
	return "";
}
add_shortcode('social_item', 'kimmia_social_item_func');

//=============================
// Buttons
//=============================
function kimmia_button_func($atts, $content = null){
	extract( shortcode_atts( array(
		  'text' => 'Button Name',
		  'type' => '',
		  'size' => '',
		  'url'	 => '#',
		  'target' => '_blank',
		  'bg_color' => '',
		  'bg_hover_color' => '',
		  'txt_color' => '',
		  'txt_hover_color' => ''
		  ), $atts ) );
	if($type == 'btn-custom') $type = 'btn-custom ';
	$output = '<a class="btn '.$type.' '.$size.'" href="'.$url.'" target="'.$target.'"';
	
	if($bg_color != '') $output .=' data-bgcolor="'.$bg_color.'"';
	if($bg_hover_color != '') $output .=' data-bghovercolor="'.$bg_hover_color.'"';
	if($txt_color != '') $output .=' data-txtcolor="'.$txt_color.'"';
	if($txt_hover_color != '') $output .=' data-txthovercolor="'.$txt_hover_color.'"';
	
	$output .= ' >'.$text.'</a>';
	
	return $output;
}
add_shortcode('button', 'kimmia_button_func');


//=============================
// Services
//=============================
function kimmia_services_func($atts, $content = null){
	extract( shortcode_atts( array(
			'layout'	=> 'left',
			'icon' 		=> 'icon-flag',
			'title'		=>	''
		  ), $atts ) );
	$output = '';
	
	if($layout == 'left'){
		$output .= '<div class="services left"><div class="service-icon"><i class="'.$icon.'"></i></div><div class="service-content"><h3 class="service-title">'.$title.'</h3>'.do_shortcode($content).'</div></div>';
		
	}else{
		$output .= '<div class="services center"><div class="service-icon"><i class="'.$icon.'"></i></div><div class="service-content"><h3 class="service-title">'.$title.'</h3>'.do_shortcode($content).'</div></div>';
	}
	
	return $output;
}
add_shortcode('services', 'kimmia_services_func');

//=============================
// Team
//=============================
function kimmia_team_func($atts, $content = null){
	global $kimmia_team_content , $kimmia_team_socials;
	$kimmia_team_content = '';
	$kimmia_team_socials = array();
	
	extract( shortcode_atts( array(
			'name' 	=> '',
			'job'	=> '',
			'src'	=> '',
		  ), $atts ) );
	
	do_shortcode($content);
	
	$output = '<div class="team">';
	$output	.='<div class="team-avatar"><img src="'.$src.'" alt="" /></div>';
	$output	.='<div class="team-meta">';
	$output .='<h4 class="team-title">'.$name.'</h4>';
	$output	.='<div class="team-job">'.$job.'</div>';
	$output	.='<div class="team-social">';
	$count = 0;
	
	foreach($kimmia_team_socials as $kimmia_team_social){
		$output	.=$kimmia_team_social;
		$count++;
	}
	$output	.='</div>';
	$output	.='</div>';
	$output	.='<div class="team-information">'.$kimmia_team_content.'</div>';
	
	$output	.='</div>';
	
	return $output;
}
add_shortcode('team', 'kimmia_team_func');

function kimmia_team_content_func($atts, $content = null){
	global $kimmia_team_content ;
	$kimmia_team_content = do_shortcode($content);
	return $kimmia_team_content;
}
add_shortcode('team_content', 'kimmia_team_content_func');

function kimmia_team_social_func($atts, $content = null){
	global $kimmia_team_socials;
	
	extract( shortcode_atts( array(
			'link'  => '#',
			'target'=> '_blank',
			'icon'	=>	''
		  ), $atts ) );
	$kimmia_team_socials[] = '<a href="'.$link.'" target="'.$target.'"><i class="'.$icon.'"></i></a>';
	
	return "";
}
add_shortcode('team_social', 'kimmia_team_social_func');

//=============================
// Accordion
//=============================
function kimmia_accordion_func($atts, $content = null){
	global $kimmia_accordion_items,$kimmia_accordion_id;
	
	extract( shortcode_atts( array(
		  'id' => '',
		  ), $atts ) );
		  
	$kimmia_accordion_items = array();
	$kimmia_accordion_id = $id;
	$output = '<div class="accordion kimmia-accordion" id="'.$id.'">';
	do_shortcode($content);
	foreach($kimmia_accordion_items as $kimmia_accordion_item){
		$output .= $kimmia_accordion_item;
	}
	$output .= '</div>';
	
	return $output;
}
add_shortcode('accordion', 'kimmia_accordion_func');

function kimmia_accordion_item_func($atts, $content = null){
	global $kimmia_accordion_items,$kimmia_accordion_id;
	extract( shortcode_atts( array(
		  'id' => '',
		  'title' => '',
		  'open' => 'false'
		  ), $atts ) );
		  
	$kimmia_accordion_items[] = '<div class="accordion-group"><div class="accordion-heading"><a class="accordion-toggle '.($open == "true" || $open == "yes" ? '' : 'collapsed').'" data-toggle="collapse" data-parent="#'.$kimmia_accordion_id.'" href="#'.$id.'"><i class="icon-minus"></i><i class="icon-plus"></i>'.$title.'</a></div><div id="'.$id.'" class="accordion-body collapse '.($open == "true" || $open == "yes" ? "in" : "").'"><div class="accordion-inner">'.do_shortcode($content).'</div></div></div>';
	
	return "";
}
add_shortcode('accordion_item', 'kimmia_accordion_item_func');

//=============================
// Toggle
//=============================
function kimmia_toggle_func($atts, $content = null){
	extract( shortcode_atts( array(
		  'id' => '',
		  'title' => '',
		  'open'  => ''
		  ), $atts ) );
		  
	$output = '<div class="accordion">';
	$output .= '<div class="accordion-group"><div class="accordion-heading"><a class="accordion-toggle '.($open == "true" || $open == "yes" ? '' : 'collapsed').'" data-toggle="collapse" href="#'.$id.'"><i class="icon-minus"></i><i class="icon-plus"></i>'.$title.'</a></div>';
	$output .= '<div id="'.$id.'" class="accordion-body collapse '.($open == "true" || $open == "yes" ? 'in' : '').'"><div class="accordion-inner">'.do_shortcode($content).'</div></div></div>';
	$output .= '</div>';
	
	return $output;
}
add_shortcode('toggle', 'kimmia_toggle_func');

//=============================
// Testimonials
//=============================
function kimmia_testimonials_func($atts, $content = null) {
	global $kimmia_testimonials_items,$kimmia_testimonials_type;
	
	$kimmia_testimonials_items = array();
	
	extract( shortcode_atts( array(
		  	'type'		=> '',
			'autoplay'	=> 'no',
			'delay'		=>	'6000',
			'show_nav'	=>	'yes'	
		  ), $atts ) );
	
	$kimmia_testimonials_type = $type;
	
	$output ='<div class="testimonials '.($type == 'avatar' ? "testimonials-avatar" : "").($autoplay == 'yes' ? " testimonials-auto" : "").'" data-delay="'.$delay.'">';
	
	do_shortcode($content);
	
	foreach($kimmia_testimonials_items as $kimmia_testimonials_item){
		$output .= $kimmia_testimonials_item;
	}
	
	if($show_nav == 'yes'){
		$output .='<a class="testimonials-prev"><i class="icon-angle-left"></i></a><a class="testimonials-next"><i class="icon-angle-right"></i></a>';
	}
	
	$output .= '</div>';
	return $output;
}
add_shortcode('testimonials', 'kimmia_testimonials_func');

function kimmia_testimonials_item_func($atts, $content = null){
	global $kimmia_testimonials_items , $kimmia_testimonials_type;
	
	extract( shortcode_atts( array(
		  	'name'	=>  '',
			'job'	=> '',
			'img'	=>	''
		  ), $atts ) );
	
	
	$output = '<div class="testimonials-item">';
	if($kimmia_testimonials_type == 'avatar'){
		if($img != "") {
			$output .= '<div class="testimonials-avatar"><img src="'.$img.'" alt="" ></div>';
		}
	}
	$output .= '<div class="testimonials-content">';
	$output .= '<i class="icon-quote-left"></i>'.$content.'<div class="testimonials-name"><i class="icon-user"></i><span>'.$name.'</span>'.( $job != '' ? '<span class="testimonials-job">- '.$job : "" ).'</span></div><i class="icon-quote-right"></i></div></div>';
	
	$kimmia_testimonials_items[] = $output;
	
	return "";
}
add_shortcode('testimonials_item', 'kimmia_testimonials_item_func');

//=============================
// Skrills
//=============================
function kimmia_skills_func($atts, $content = null){
	global $skill_items;
	$skill_items = array();
	
	$output = '<ul class="skills">';
	
	do_shortcode($content);
	
	if(count($skill_items) > 0){
		foreach($skill_items as $skill_item){
			$output .= '<li>'.$skill_item.'</li>';
		}
	}
	
	$output .= '</ul>';
	return $output;
}
add_shortcode('skills', 'kimmia_skills_func');

function kimmia_skill_func($atts, $content = null){
	global $skill_items;
	
	extract( shortcode_atts( array(
			'name'	=> 'No Name',
			'percent' => '50%',
			'text' => '',
			'bg_color' => '',
			'color'	=> ''
		  ), $atts ) );
	
	$skill_items[] = '<span class="skill-bg" data-percent="'.$percent.'" '.($bg_color != '' ? 'style="background:'.$bg_color.'";' : '').'></span><span class="skill-name" '.($color != '' ? 'style="color:'.$color.'";' : '').'>'.$name.'</span><span class="skill-progress" '.($color != '' ? 'style="color:'.$color.'";' : '').'>'.($text == "" ? $percent : $text).'</span>';
	
	return "";
}
add_shortcode('skill', 'kimmia_skill_func');

//=============================
// Alert Message
//=============================
function kimmia_alert_func($atts, $content = null){
	global $kimmia_carousel_items;
	$kimmia_carousel_items = array();
	
	extract( shortcode_atts( array(
		  'type' => '',
		  'close' => 'yes',
		  'title' => '',
		  ), $atts ) );
		  
	$output =  '<div class="alert '.($close == "yes" ? 'alert-block ' : '').($type == '' ? '' : 'alert-'.$type ).' fade in">';
	//if($close == 'yes') $output .= '<a class="close" data-dismiss="alert" href="#">&times;</a>';
	if($close == 'yes') $output .= '<div class="close" data-dismiss="alert">&times;</div>';
	if($title != '') $output .= '<h4 class="alert-heading">'.$title.'</h4>';
	$output .= do_shortcode($content);
    $output .= '</div>';
	
	return $output;
}
add_shortcode('alert', 'kimmia_alert_func');

//=============================
// Map
//=============================
function kimmia_map_func($atts, $content = null){
	extract( shortcode_atts( array(
		  'id' => '',
		  'zoom'	=> '13',
		  'scrollwheel' => 'yes',
		  'draggable'	=> 'yes',
		  'latlng' => '',
		  'width' => '300',
		  'height' => '200',
		  'show_marker' => 'no',
		  'show_info' =>'no',
		  'info_width' => '260',
		  ), $atts ) );
		
		if($width != "100%") $width = $width.'px';
		if($height != "100%") $height = $height.'px';
		
	$output = '<div id="'.$id.'" class="map_canvas" style="float:left;width:'.$width.';height:'.$height.';"  data-zoom="'.$zoom.'" data-latlng="'.$latlng.'" data-scrollwheel="'.$scrollwheel.'" data-draggable="'.$draggable.'" ';
	
	if($show_marker == 'yes'){
		
		$output .= 'data-showmarker="'.$show_marker.'" ';
		
		if($show_info == "yes"){
			$output .= 'data-showinfo="'.$show_info.'" ';
			$output .= 'data-infowidth="'.$info_width.'" ';
			$output .= 'data-infobg="'.get_template_directory_uri().'/images/tipbox.png" >';
			$output .= '</div>';
			$output .= '<div id="'.$id.'-map-info" style="display:none;">'.$content.'</div>';
			
			return $output;
		}
		$output .= '></div>';
		return $output;
	}
	$output .= '></div>';
	return $output;
	
}
add_shortcode('map', 'kimmia_map_func');


//=============================
// Portfolio
//=============================
function kimmia_portfolio_func($atts, $content = null){
	
	global $per_page_num, $page_cols, $portfolio_show_style, $portfolio_show_filter, $portfolio_show_cat;
	
	extract( shortcode_atts( array(
			'number'		=>	'12',
			'columns'	=>	'4',
			'style'		=>	'1',
			'filter'		=>	'on',
			'cats'		=>	''
		  ), $atts ) );
	$per_page_num 	= 	$number;
	$page_cols		=	$columns;
	$portfolio_show_style	=	intval($style) - 1;
	$portfolio_show_filter	=	$filter;
	$portfolio_show_cat	=	$cats;
	
	ob_start();
	get_template_part( 'template/custom', 'portfolio-template' );
	$output = ob_get_clean();
	
	return $output;
}
add_shortcode('portfolio', 'kimmia_portfolio_func');

//=============================
// Portfolio List
//=============================
function kimmia_portfolio_list_func($atts, $content = null){
	extract( shortcode_atts( array(
			'type'		=>	'recent',
			'number'		=>	'4',
			'columns'	=>	'4',
			'value'		=>	'',
			'style'		=>	'1'
		  ), $atts ) );
	return penguin_get_portfolio_list_post($type, $number, $columns, $value, $style );
}
add_shortcode('portfolio_list', 'kimmia_portfolio_list_func');

//=============================
// Blog Post List
//=============================
function kimmia_post_list_func($atts, $content = null){
	extract( shortcode_atts( array(
			'type'		=>	'recent',
			'number'		=>	'4',
			'columns'	=>	'4',
			'value'		=>	'',
			'style'		=>	'1'
		  ), $atts ) );
	return penguin_get_blog_list_post($type, $number, $columns, $value, $style );
}
add_shortcode('post_list', 'kimmia_post_list_func');


//=============================
// Space
//=============================
function kimmia_space_func($atts, $content = null){
	extract( shortcode_atts( array(
		  'line'	=> 'no',
		  'style'	=>	'solid',
		  'size'	=>	'normal'
		  ), $atts ) );
	return '<div class="row-fluid kimmia-space '.$size.' '.($line =="yes" ? 'kimmia-line '.$style : '').'">'.do_shortcode($content).'</div>';
}
add_shortcode('space', 'kimmia_space_func');

//=============================
// Columns
//=============================
function kimmia_wide_func($atts, $content = null){
	extract( shortcode_atts( array(
		  'style'	=> '',
		  'class'	=> ''
		  ), $atts ) );
	return '<div class="row-fluid wide-background '.$class.'" style="'.$style.'">'.do_shortcode($content).'</div>';
}
add_shortcode('wide', 'kimmia_wide_func');

function kimmia_one_func($atts, $content = null){
	return '<div class="row-fluid">'.do_shortcode($content).'</div>';
}
add_shortcode('one', 'kimmia_one_func');

function kimmia_inner_one_func($atts, $content = null){
	return '<div class="row-fluid">'.do_shortcode($content).'</div>';
}
add_shortcode('inner_one', 'kimmia_inner_one_func');

function kimmia_one_half_func($atts, $content = null){
	return '<div class="span6">'.do_shortcode($content).'</div>';
}
add_shortcode('one_half', 'kimmia_one_half_func');

function kimmia_one_third_func($atts, $content = null){
	return '<div class="span4">'.do_shortcode($content).'</div>';
}
add_shortcode('one_third', 'kimmia_one_third_func');

function kimmia_two_third_func($atts, $content = null){
	return '<div class="span8">'.do_shortcode($content).'</div>';
}
add_shortcode('two_third', 'kimmia_two_third_func');

function kimmia_one_fourth_func($atts, $content = null){
	return '<div class="span3">'.do_shortcode($content).'</div>';
}
add_shortcode('one_fourth', 'kimmia_one_fourth_func');

function kimmia_two_fourth_func($atts, $content = null){
	return '<div class="span6">'.do_shortcode($content).'</div>';
}
add_shortcode('two_fourth', 'kimmia_two_fourth_func');

function kimmia_three_fourth_func($atts, $content = null){
	return '<div class="span9">'.do_shortcode($content).'</div>';
}
add_shortcode('three_fourth', 'kimmia_three_fourth_func');


//=============================
// Youtube Video Player
//=============================
function kimmia_youtube_func($atts, $content = null){
	extract( shortcode_atts( array(
		  'id' => '',
		  'width' => '600',
		  'height' => '360',
		  ), $atts ) );
	if($width == "100%") {
		$out_width = 'class="full-width-show" width="600"';
	}else{
		$out_width = 'width="'.$width.'"';
	}
	
	$output = '<div class="video-youtube"><iframe title="YouTube Video Player" src="http://www.youtube.com/embed/' . $id . '?html5=1" '.$out_width.' height="' . $height . '" allowfullscreen></iframe></div>';
		
	return $output;
}
add_shortcode('youtube', 'kimmia_youtube_func');

//=============================
// Vimeo Video Player
//=============================
function kimmia_vimeo_func($atts, $content = null){
	extract( shortcode_atts( array(
		  'id' => '',
		  'width' => '600',
		  'height' => '360',
		  ), $atts ) );
		  
	if($width == "100%") {
		$out_width = 'class="full-width-show" width="600"';
	}else{
		$out_width = 'width="'.$width.'"';
	}
		
	$output = '<div class="video-vimeo"><iframe title="Vimeo Video Player" src="http://player.vimeo.com/video/' . $id . '" '.$out_width.' height="' . $height . '" ></iframe></div>';
		
	return $output;
}
add_shortcode('vimeo', 'kimmia_vimeo_func');

//=============================
// Soundcloud Audio Player
//=============================
function kimmia_soundcloud_func($atts, $content = null){
	extract( shortcode_atts( array(
		  	'url' => '',
			'iframe' => 'true',
			'width' => '100%',
			'height' => 166,
			'auto_play' => 'true',
			'show_comments' => 'true',
			'color' => 'ff7700',
			'theme_color' => 'ff6699',
		  ), $atts ) );
	
	// use iframe
	if($iframe == 'true'){
		$url = 'http://w.soundcloud.com/player?' . http_build_query($atts);
		if($width == "100%") {
			$out_width = 'class="full-width-show" width="600"';
		}else{
			$out_width = 'width="'.$width.'"';
		}
		return '<div class="sound-sl"><iframe '.$out_width.' height="'.$height.'" scrolling="no" src="'.$url.'"></iframe></div>';
	}else{
	// use flash
		$url = 'http://player.soundcloud.com/player.swf?' . http_build_query($atts);
		return '<div class="sound-sl"><object width="'.$width.'" height="'.$height.'">
                                <param name="movie" value="'.$url.'"></param>
                                <param name="allowscriptaccess" value="always"></param>
                                <embed width="'.$width.'" height="'.$height.'" src="'.$url.'" allowscriptaccess="always" type="application/x-shockwave-flash"></embed>
                              </object></div>';
	}
	return "";
}

add_shortcode('soundcloud', 'kimmia_soundcloud_func');

function kimmia_clean_shortcodes($content){   
    $array = array (
        '<p>[' => '[', 
        ']</p>' => ']', 
        ']<br />' => ']'
    );
    $content = strtr($content, $array);
    return $content;
}
add_filter('the_content', 'kimmia_clean_shortcodes');
add_filter('widget_text', 'kimmia_clean_shortcodes');

/* Visual Composer */

if (function_exists('wpb_map')){
	
	/* space */
	wpb_map( array(
		"icon" => "icon-wpb-kimmia",
		"name" => __("Kimmia Space",'kimmia'),
		"base" => "space",
		"class" => "",
		"controls" => "full",
		"category" => __('Kimmia Content','kimmia'),
		"admin_enqueue_css" => array(get_template_directory_uri().'/vc_extend/kimmia.css'),
		"params" => array(
			   array(
				 "type" => "dropdown",
				 "holder" => "div",
				 "class" => "",
				 "heading" => __("Show Line",'kimmia'),
				 "param_name" => "line",
				 "value" => array('no','yes')
			  ),
			  array(
				 "type" => "dropdown",
				 "holder" => "div",
				 "class" => "",
				 "heading" => __("Space Size",'kimmia'),
				 "param_name" => "size",
				 "value" => array('normal','small','big')
			  ),
			  array(
				 "type" => "dropdown",
				 "holder" => "div",
				 "class" => "",
				 "heading" => __("Show Line Style",'kimmia'),
				 "param_name" => "style",
				 "value" => array('solid','dashed')
			  )
		  )
	));
  
	/* title */
	wpb_map( array(
		"icon" => "icon-wpb-kimmia",
		"name" => __("Kimmia Title",'kimmia'),
		"base" => "title",
		"class" => "",
		"controls" => "full",
		"category" => __('Kimmia Content','kimmia'),
		"params" => array(
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => __("Class",'kimmia'),
				"param_name" => "class",
				"description" => __("Custom title class name.",'kimmia')
			),
			array(
				"type" => "dropdown",
				"holder" => "div",
				"class" => "",
				"heading" => __("Show Title Type",'kimmia'),
				"param_name" => "type",
				"value" => array('text','icon')
			),
			array(
				"type" => "dropdown",
				"holder" => "div",
				"class" => "",
				"heading" => __("Title Align",'kimmia'),
				"param_name" => "align",
				"value" => array('center','left','right')
			),
		  	array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => __("Text Value",'kimmia'),
				"param_name" => "value",
			),
			array(
				"type" => "dropdown",
				"holder" => "div",
				"class" => "",
				"heading" => __("Text Size",'kimmia'),
				"param_name" => "size",
				"value" => array('h1','h2','h3','h4','h5','h6')
			),
			array(
				"type" => "dropdown",
				"holder" => "div",
				"class" => "",
				"heading" => __("Text Uppercase",'kimmia'),
				"param_name" => "uppercase",
				"value" => array('yes','no')
			),
			array(
				"type" => "dropdown",
				"holder" => "div",
				"class" => "",
				"heading" => __("Text Bold",'kimmia'),
				"param_name" => "bold",
				"value" => array('yes','no')
			),
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => __("Icon Class Name",'kimmia'),
				"param_name" => "icon",
			),
			array(
				"type" => "dropdown",
				"holder" => "div",
				"class" => "",
				"heading" => __("Icon Size",'kimmia'),
				"param_name" => "icon_size",
				"value" => array('normal','min','big')
			),
		  	array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => __("Icon or Text Style CSS",'kimmia'),
				"param_name" => "style",
			),
			array(
				"type" => "dropdown",
				"holder" => "div",
				"class" => "",
				"heading" => __("Show Background",'kimmia'),
				"param_name" => "show_bg",
				"value" => array('yes','no')
			),
		  	array(
				"type" => "dropdown",
				"holder" => "div",
				"class" => "",
				"heading" => __("Show Line",'kimmia'),
				"param_name" => "line",
				"value" => array('yes','no')
			),
			array(
				"type" => "dropdown",
				"holder" => "div",
				"class" => "",
				"heading" => __("Line Align",'kimmia'),
				"param_name" => "line_align",
				"value" => array('center','top','bottom')
			),
			array(
				"type" => "colorpicker",
				"holder" => "div",
				"class" => "",
				"heading" => __("Text or Icon Color",'kimmia'),
				"param_name" => "color",
				"value" => '#666666',
			),
			array(
				"type" => "colorpicker",
				"holder" => "div",
				"class" => "",
				"heading" => __("Background Color",'kimmia'),
				"param_name" => "bg_color",
				"value" => '#ffffff',
			),
			array(
				"type" => "colorpicker",
				"holder" => "div",
				"class" => "",
				"heading" => __("Line Color",'kimmia'),
				"param_name" => "line_color",
				"value" => '#e8e8e8',
			),
			array(
				"type" => "colorpicker",
				"holder" => "div",
				"class" => "",
				"heading" => __("Text Color when Icon Type",'kimmia'),
				"param_name" => "extra_color",
				"value" => '#666666',
			),
		)
	) );
	
	/* icon */
	wpb_map( array(
		"icon" => "icon-wpb-kimmia",
		"name" => __("Kimmia Icon",'kimmia'),
		"base" => "icon",
		"class" => "",
		"controls" => "full",
		"category" => __('Kimmia Content','kimmia'),
		"params" => array(
		  array(
			 "type" => "textfield",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Icon Name",'kimmia'),
			 "param_name" => "icon_name",
			 "value" => "",
			 "description" => __("Enter icon name like icon-adjust.",'kimmia')
		  ),
		  array(
			 "type" => "dropdown",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Icon Size",'kimmia'),
			 "param_name" => "icon_size",
			 "value" => array('', 'icon-large' , 'icon-2x', 'icon-3x', 'icon-4x'),
			 "description" => __("The icon size, default don't need input.",'kimmia')
		  ),
		  array(
			 "type" => "dropdown",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("The icon style",'kimmia'),
			 "param_name" => "icon_style",
			 "value" => array('', 'pull-left' , 'pull-right' , 'icon-spin' , 'icon-muted' ,'icon-border' ),
			 "description" => __("The icon style, default don't need input.",'kimmia')
		  ),
		  array(
			 "type" => "colorpicker",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Icon",'kimmia'),
			 "param_name" => "icon_color",
			 "value" => '#ff0000',
			 "description" => __("The icon default color.",'kimmia')
		  )
		)
	) );
	
	/* google map */
	wpb_map( array(
		"icon" => "icon-wpb-kimmia",
		"name" => __("Kimmia Map",'kimmia'),
		"base" => "map",
		"class" => "",
		"controls" => "full",
		"category" => __('Kimmia Content','kimmia'),
		"params" => array(
		  array(
			 "type" => "textfield",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Map ID",'kimmia'),
			 "param_name" => "id",
			 "value" => ""
		  ),
		  array(
			 "type" => "textfield",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("LatLng",'kimmia'),
			 "param_name" => "latlng",
			 "value" => '',
			 "description" => __("The map LatLng value from google map.",'kimmia')
		  ),
		  array(
			 "type" => "textfield",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Map Height",'kimmia'),
			 "param_name" => "height",
			 "value" => '200',
			 "description" => __("The map show height.",'kimmia')
		  ),
		  array(
			 "type" => "textfield",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Map Width",'kimmia'),
			 "param_name" => "width",
			 "value" => '300',
			 "description" => __("The map show width.",'kimmia')
		  ),
		  array(
			 "type" => "textfield",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Map Zoom",'kimmia'),
			 "param_name" => "zoom",
			 "value" => '13',
			 "description" => __("The map default show zoom.",'kimmia')
		  ),
		   array(
			 "type" => "dropdown",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Draggable",'kimmia'),
			 "param_name" => "draggable",
			 "value" => array('yes' ,'no' ),
			 "description" => __("The map can drag.",'kimmia')
		  ),
		  array(
			 "type" => "dropdown",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Scroll Wheel",'kimmia'),
			 "param_name" => "scrollwheel",
			 "value" => array('yes' ,'no' ),
			 "description" => __("The map can scroll wheel zoom.",'kimmia')
		  ),
		  array(
			 "type" => "dropdown",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Show Marker",'kimmia'),
			 "param_name" => "show_marker",
			 "value" => array('yes' ,'no' ),
			 "description" => __("The map show marker.",'kimmia')
		  ),
		   array(
			 "type" => "dropdown",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Show Address Information",'kimmia'),
			 "param_name" => "show_info",
			 "value" => array('yes' ,'no' ),
			 "description" => __("The map show info box of address.",'kimmia')
		  ),
		   array(
			 "type" => "textfield",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Show Information Width",'kimmia'),
			 "param_name" => "info_width",
			 "value" => '260',
			 "description" => __("The map info address box width.",'kimmia')
		  ),
		  array(
			 "type" => "textarea_html",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Content",'kimmia'),
			 "param_name" => "content",
			 "value" => __("<p>MAP ADDRESS TEXT.</p>",'kimmia'),
			 "description" => __("Enter your address.",'kimmia')
		  )
		)
	) );
	
	/* buttons */
	wpb_map( array(
		"icon" => "icon-wpb-kimmia",
		"name" => __("Kimmia Button",'kimmia'),
		"base" => "button",
		"class" => "",
		"controls" => "full",
		"category" => __('Kimmia Content','kimmia'),
		"params" => array(
		  array(
			 "type" => "textfield",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Button Title",'kimmia'),
			 "param_name" => "text",
			 "value" => __("Button",'kimmia'),
			 "description" => __("Enter button title.",'kimmia')
		  ),
		   array(
			 "type" => "textfield",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Button Type",'kimmia'),
			 "param_name" => "type",
			 "value" => 'btn-custom',
			 "description" => __("Enter button type like btn-custom, btn-primary , btn-info , btn-success , btn-warning , btn-danger , btn-inverse , btn-link , disabled.",'kimmia')
		  ),
		   array(
			 "type" => "dropdown",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Button Size",'kimmia'),
			 "param_name" => "size",
			 "value" => array('', 'btn-large' , 'btn-small' , 'btn-mini'),
			 "description" => __("Button size, default don't need input.",'kimmia')
		  ),
		  array(
			 "type" => "textfield",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Button Link",'kimmia'),
			 "param_name" => "url",
			 "value" => '',
			 "description" => __("Click button open link.",'kimmia')
		  ),
		  array(
			 "type" => "dropdown",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Button Link Target",'kimmia'),
			 "param_name" => "target",
			 "value" => array('_self', '_blank'),
		  ),
		  array(
			 "type" => "colorpicker",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Button Background Color",'kimmia'),
			 "param_name" => "bg_color",
			 "value" => '#7AB80E',
			 "description" => __("The button background color.",'kimmia')
		  ),
		  array(
			 "type" => "colorpicker",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Button Background Hover Color",'kimmia'),
			 "param_name" => "bg_hover_color",
			 "value" => '#559500',
			 "description" => __("The button background hover color .",'kimmia')
		  ),
		  array(
			 "type" => "colorpicker",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Button Font Color",'kimmia'),
			 "param_name" => "txt_color",
			 "value" => '#ffffff',
			 "description" => __("The button font color.",'kimmia')
		  ),
		  array(
			 "type" => "colorpicker",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Button Font Hover Color",'kimmia'),
			 "param_name" => "txt_hover_color",
			 "value" => '#000000',
			 "description" => __("The button font hover color .",'kimmia')
		  )
		 )
	) );
	
	/* alert message */
	wpb_map( array(
		"icon" => "icon-wpb-kimmia",
		"name" => __("Kimmia Alert Message",'kimmia'),
		"base" => "alert",
		"class" => "",
		"controls" => "full",
		"category" => __('Kimmia Content','kimmia'),
		"params" => array(
		  array(
			 "type" => "dropdown",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Alert Message Type",'kimmia'),
			 "param_name" => "type",
			 "value" => array('success' , 'danger' , 'error' , 'info'),
			 "description" => __("The alert message type.",'kimmia')
		  ),
		  array(
			 "type" => "dropdown",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Alert Message Close",'kimmia'),
			 "param_name" => "close",
			 "value" => array('yes' , 'no'),
			 "description" => __("The alert can been close.",'kimmia')
		  ),
		   array(
			 "type" => "textfield",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Alert Message Title",'kimmia'),
			 "param_name" => "title",
			 "value" => '',
			 "description" => __("The alert title.",'kimmia')
		  ),
		  array(
			 "type" => "textarea_html",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Content",'kimmia'),
			 "param_name" => "content",
			 "value" => __("<p>Input alert message content.</p>",'kimmia')
		  )
		 )
	));
	
	/* toggle */
	wpb_map( array(
		"icon" => "icon-wpb-kimmia",
		"name" => __("Kimmia Toggle",'kimmia'),
		"base" => "toggle",
		"class" => "",
		"controls" => "full",
		"category" => __('Kimmia Content','kimmia'),
		"params" => array(
		   array(
			 "type" => "textfield",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Toggle ID",'kimmia'),
			 "param_name" => "id",
			 "value" => '',
			 "description" => __("The toggle unique id.",'kimmia')
		  ),
		  array(
			 "type" => "textfield",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Toggle Title",'kimmia'),
			 "param_name" => "title",
			 "value" => __("Input toggle title.",'kimmia'),
			 "description" => __("The toggle title.",'kimmia')
		  ),
		  array(
			 "type" => "dropdown",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Toggle Open",'kimmia'),
			 "param_name" => "open",
			 "value" => array('yes','no'),
			 "description" => __("The toggle content default show or hide.",'kimmia')
		  ),
		  array(
			 "type" => "textarea_html",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Content",'kimmia'),
			 "param_name" => "content",
			 "value" => __("<p>Input content.</p>",'kimmia')
		  )
		 )
	));
	
	/* service */
	wpb_map( array(
		"icon" => "icon-wpb-kimmia",
		"name" => __("Kimmia Services",'kimmia'),
		"base" => "services",
		"class" => "",
		"controls" => "full",
		"category" => __('Kimmia Content','kimmia'),
		"params" => array(
		  array(
			 "type" => "dropdown",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Service Type",'kimmia'),
			 "param_name" => "layout",
			 "value" => array('left','center'),
			 "description" => __("The service show icon type.",'kimmia')
		  ),
		  array(
			 "type" => "textfield",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Service Icon",'kimmia'),
			 "param_name" => "icon",
			 "value" => '',
			 "description" => __("Input icon name use fontawesome.",'kimmia')
		  ),
		   array(
			 "type" => "textfield",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Service Title",'kimmia'),
			 "param_name" => "title",
			 "value" => ''
		  ),
		  array(
			 "type" => "textarea_html",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Content",'kimmia'),
			 "param_name" => "content",
			 "value" => __("<p>Input content.</p>",'kimmia')
		  )
		 )
	));
	
	/* blog  posts */
	wpb_map( array(
		"icon" => "icon-wpb-kimmia",
		"name" => __("Kimmia Blog Posts",'kimmia'),
		"base" => "post_list",
		"class" => "",
		"controls" => "full",
		"category" => __('Kimmia Content','kimmia'),
		"params" => array(
		  array(
			 "type" => "dropdown",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Post Type",'kimmia'),
			 "param_name" => "type",
			 "value" => array('recent','popular','featured','related'),
		  ),
		  array(
			 "type" => "textfield",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Posts Number",'kimmia'),
			 "param_name" => "number",
			 "value" => '4',
		  ),
		  array(
			 "type" => "textfield",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Posts Columns",'kimmia'),
			 "param_name" => "columns",
			 "value" => '4',
		  ),
		  array(
			 "type" => "textfield",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Posts Value",'kimmia'),
			 "param_name" => "value",
			 "description" => __('If you use featured type input ids, if use related input category ids','kimmia')
		  )
		 )
	));
	
	/* portfolio list */
	wpb_map( array(
		"icon" => "icon-wpb-kimmia",
		"name" => __("Kimmia Portfolio List",'kimmia'),
		"base" => "portfolio_list",
		"class" => "",
		"controls" => "full",
		"category" => __('Kimmia Content','kimmia'),
		"params" => array(
		   array(
			 "type" => "dropdown",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Portfolio Type",'kimmia'),
			 "param_name" => "type",
			 "value" => array('recent','popular','featured','related'),
		  ),
		  array(
			 "type" => "textfield",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Portfolio Number",'kimmia'),
			 "param_name" => "number",
			 "value" => '4',
		  ),
		  array(
			 "type" => "textfield",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Portfolio Columns",'kimmia'),
			 "param_name" => "columns",
			 "value" => '4',
		  ),
		  array(
			 "type" => "textfield",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Post Value",'kimmia'),
			 "param_name" => "value",
			 "description" => __('If you use featured type input ids, if use related input category slugs','kimmia')
		  )
		 )
	));
	
	/* Portfolio page template */
	wpb_map( array(
		"icon" => "icon-wpb-kimmia",
		"name" => __("Kimmia Portfolio Template",'kimmia'),
		"base" => "portfolio",
		"class" => "",
		"controls" => "full",
		"category" => __('Kimmia Content','kimmia'),
		"params" => array(
		  array(
			 "type" => "dropdown",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Portfolio Style",'kimmia'),
			 "param_name" => "style",
			 "value" => array('1','2','3'),
		  ),
		  array(
			 "type" => "textfield",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Portfolio Number",'kimmia'),
			 "param_name" => "number",
			 "value" => '8',
		  ),
		  array(
			 "type" => "textfield",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Portfolio Columns",'kimmia'),
			 "param_name" => "columns",
			 "value" => '4',
		  ),
		  array(
			 "type" => "dropdown",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Portfolio Filiter",'kimmia'),
			 "param_name" => "filter",
			 "value" => array('on','off'),
		  ),
		  array(
			 "type" => "textfield",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Portfolio Cats",'kimmia'),
			 "param_name" => "cats",
			 "description" => __('Input category slugs if you need','kimmia')
		  )
		 )
	));
	
	/* youtube */
	wpb_map( array(
		"icon" => "icon-wpb-kimmia",
		"name" => __("Kimmia Youtube",'kimmia'),
		"base" => "youtube",
		"class" => "",
		"controls" => "full",
		"category" => __('Kimmia Content','kimmia'),
		"params" => array(
		 	array(
			 "type" => "textfield",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Youtube ID",'kimmia'),
			 "param_name" => "id",
			 "value" => '',
			 "description" => __("Enter video ID (eg.6htyfxPkYDU).",'kimmia')
		  	),
			array(
			 "type" => "textfield",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Width",'kimmia'),
			 "param_name" => "width",
			 "value" => '600',
			 "description" => __("Youtube default show width.",'kimmia')
		  	),
			array(
			 "type" => "textfield",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Height",'kimmia'),
			 "param_name" => "height",
			 "value" => '360',
			 "description" => __("Youtube default show width.",'kimmia')
		  	)
		)
	));
	
	/* vimeo */
	wpb_map( array(
		"icon" => "icon-wpb-kimmia",
		"name" => __("Kimmia Vimeo",'kimmia'),
		"base" => "vimeo",
		"class" => "",
		"controls" => "full",
		"category" => __('Kimmia Content','kimmia'),
		"params" => array(
		 	array(
			 "type" => "textfield",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Vimeo ID",'kimmia'),
			 "param_name" => "id",
			 "value" => '',
			 "description" => __("Enter video ID (eg.54578415).",'kimmia')
		  	),
			array(
			 "type" => "textfield",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Width",'kimmia'),
			 "param_name" => "width",
			 "value" => '600',
			 "description" => __("Vimeo default show width.",'kimmia')
		  	),
			array(
			 "type" => "textfield",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Height",'kimmia'),
			 "param_name" => "height",
			 "value" => '360',
			 "description" => __("Vimeo default show width.",'kimmia')
		  	)
		)
	));
	
	/* Soundcloud */
	wpb_map( array(
		"icon" => "icon-wpb-kimmia",
		"name" => __("Kimmia Soundcloud",'kimmia'),
		"base" => "soundcloud",
		"class" => "",
		"controls" => "full",
		"category" => __('Kimmia Content','kimmia'),
		"params" => array(
		 	array(
			 "type" => "textfield",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Soundcloud URL",'kimmia'),
			 "param_name" => "url",
			 "value" => '',
			 "description" => __("Enter soundcloud url like http://api.soundcloud.com/tracks/38987054.",'kimmia')
		  	),
			array(
			 "type" => "dropdown",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Show With iframe",'kimmia'),
			 "param_name" => "iframe",
			 "value" => array('true','false')
		  	),
			array(
			 "type" => "textfield",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Width",'kimmia'),
			 "param_name" => "width",
			 "value" => '100%',
			 "description" => __("Soundcloud default show width.",'kimmia')
		  	),
			array(
			 "type" => "textfield",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Height",'kimmia'),
			 "param_name" => "height",
			 "value" => '166',
			 "description" => __("Soundcloud default show width.",'kimmia')
		  	),
			array(
			 "type" => "dropdown",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Auto Play",'kimmia'),
			 "param_name" => "auto_play",
			 "value" => array('true','false')
		  	),
			array(
			 "type" => "dropdown",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Show Comments",'kimmia'),
			 "param_name" => "show_comments",
			 "value" => array('true','false')
		  	),
			array(
			 "type" => "colorpicker",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Color",'kimmia'),
			 "param_name" => "color",
			 "value" => '#ff7700'
			),
			array(
			 "type" => "colorpicker",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Theme Color",'kimmia'),
			 "param_name" => "theme_color",
			 "value" => '#ff6699'
			)
		)
	));
}