<?php
/**
 * Template Name: Portfolio Template
 *
 * @since kimmia 1.0
 */
get_header(); 
global $paged,$thumbs_size, $page_cols ,$portfolio_show_style,$portfolio_show_cat;
$layout = penguin_get_page_layout();// get page layout                          
$per_page_num 			=	get_post_meta(get_the_ID() , 'portfolio-page-max-number', true);
$page_cols				=	get_post_meta(get_the_ID() , 'portfolio-cols-num', true);
$portfolio_show_style	=	get_post_meta(get_the_ID() , 'portfolio-show-style', true);
$portfolio_show_filter	=	get_post_meta(get_the_ID() , 'portfolio-show-filter', true);
$portfolio_show_cat		=	get_post_meta(get_the_ID() , 'portfolio-show-cat', true);
switch(intval($page_cols)){
	case 0: $thumbs_size = 'two-column-thumbs';break;
	case 1: $thumbs_size = 'three-column-thumbs';break;
	case 2: $thumbs_size = 'four-column-thumbs';break;
}
$page_cols = 'columns-'.($page_cols+2);

?>
<section class="site-content">
    <div class="container">
        <div class="row-fluid">
        <?php if($layout == 2) { ?> 
            <div class="span4"><?php generated_dynamic_sidebar(); ?></div>
        <?php } ?>
        	<div class="<?php echo $layout == 1 ? 'span12' : 'span8'; ?>">
			<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
                <div class="row-fluid">
                      <?php the_content(); ?>
                </div>
            <?php endwhile;endif; ?>
            <?php 
				if($portfolio_show_filter == "on") { 
					get_template_part( 'template/custom', 'portfolio-filters-content' );
				} 
			?>
             	<div class="portfolio-container row-fluid">
                    <?php 
						if($paged == 0){$paged = 1;}
						
                        // get portfolio
                        $args = array(	'post_type' => 'portfolio',
                                        'post_status' => 'publish',
                                        'paged' => $paged,
                                        'posts_per_page'=> intval($per_page_num)
                                     );
						
						// show category portfolio
						if($portfolio_show_cat != "") {
							$slugs = explode("," , $portfolio_show_cat);
							if(count($slugs) > 0) {
								$args['tax_query'] = array(	array('taxonomy' => 'portfolio_categories',
															'field' => 'slug',
															'terms' => $slugs));
							}
						}
						
                       	// The Query
						$portfolios = new WP_Query($args);
						if ($portfolios -> have_posts() ) {
							while ($portfolios -> have_posts() ) : $portfolios-> the_post();
                               get_template_part( 'template/custom', 'portfolio-content' );
							endwhile;
                    	}
					?>
                </div><!-- #row -->
                <?php penguin_content_pagination('nav-bottom' , 'pagination-centered' , 2 , $portfolios); ?>
                <?php wp_reset_postdata(); ?>
            </div>
            <?php if($layout == 3) : ?> 
            	<div class="span4"><?php generated_dynamic_sidebar(); ?></div>
            <?php endif; ?>
        </div>
    </div>
</section>
<?php get_footer(); ?>