<?php
/**
 * The template for displaying Search Results pages.
 *
 * @since kimmia 1.0
 */
get_header(); 
$layout = penguin_get_page_layout('global'); //get global layout 
?>
<section class="site-content">
    <div class="container">
        <div class="row-fluid">
	<?php if($layout == 2) { ?> 
        <div class="span4"><?php generated_dynamic_sidebar(); ?></div>
    <?php } ?>
    <div class="left-side <?php echo $layout == 1 ? 'span12' : 'span8'; ?>">
	<?php	
	if ( have_posts() ) {
		while ( have_posts() ) { 
			the_post();
			$post_type = get_post_type(get_the_ID());
			switch($post_type){
				case 'post': $post_tname = __('Blog Post','kimmia');break;
				case 'portfolio': $post_tname = __('Portfolio','kimmia');break;
				case 'page': $post_tname = __('Page','kimmia');break;
				case 'product': $post_tname = __('Product','kimmia');break;
				default : $post_tname = __('Other','kimmia');
			}
    ?>
        <article id="post-<?php the_ID(); ?>" <?php post_class('search-post');?> >
            <div class="post-type"><?php echo $post_tname; ?></div>
            <h3 class="title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
            <div class="entry-content"><?php echo penguin_string_limit_words(get_the_excerpt());?></div>
        </article>
    <?php 
		} 
		penguin_content_pagination('nav-bottom' , 'pagination-centered');
    }else { ?>
        <article id="post-0" class="post no-results not-found">
            <header class="entry-header">
            <h1 class="entry-title"><?php _e( 'Nothing Found', 'kimmia' ); ?></h1>
            </header><!-- .entry-header -->
            <div class="widget_search">
            <?php get_search_form(); ?>
            </div>
            <div class="entry-content">
            <p><?php _e( 'Apologies, but no results were found for the requested archive. Perhaps searching will help find a related post.', 'kimmia' ); ?></p>
            </div><!-- .entry-content -->
        </article><!-- #post-0 -->
    <?php } ?>
    </div><!-- #left-side -->
     <?php if($layout == 3) { ?> 
        <div class="span4"><?php generated_dynamic_sidebar(); ?></div>
    <?php } ?>
	</div><!-- #row-fluid -->
</div><!-- #container -->
</section>
<?php get_footer(); ?>